Name:		libnsl
Group:		System/Libraries
Version:	1.3.0
Release:	%mkrel 1
Summary:	Public client interface library for NIS(YP) and NIS+
License:	BSD and LGPLv2+
URL:		https://github.com/thkukuk/libnsl
Source0:	https://github.com/thkukuk/libnsl/releases/download/v%{version}/libnsl-%{version}.tar.xz
Patch0:		libnsl-1.3.0-nisplus-include-stdint.patch

BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	gettext-devel
BuildRequires:	libtool
BuildRequires:	pkgconfig(libtirpc)

%define		major 2
%define		libname %mklibname nsl %{major}
%define		develname %mklibname nsl -d

%description
This package contains the libnsl library. This library contains
the public client interface for NIS(YP) and NIS+.
This code was formerly part of glibc, but is now standalone to
be able to link against TI-RPC for IPv6 support.

%package -n %{libname}
Summary:	Public client interface library for NIS(YP) and NIS+
Group:		System/Libraries

%description -n %{libname}
This package contains the libnsl library. This library contains
the public client interface for NIS(YP) and NIS+.
This code was formerly part of glibc, but is now standalone to
be able to link against TI-RPC for IPv6 support.

%package -n %{develname}
Summary:	Development files for libnsl
Group:		Development/Libraries
Requires:	%{libname} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}

%description -n %{develname}
Development files for libnsl2


%prep
%setup -q

%patch0 -p1 -b .include_stdint

%build
export CFLAGS="%{optflags}"

autoreconf -fiv

%configure2_5x \
    --libdir=%{_libdir}\
    --includedir=%{_includedir}

%make_build

%install
%make_install

rm %{buildroot}/%{_libdir}/libnsl.a
rm %{buildroot}/%{_libdir}/libnsl.la

%files -n %{libname}
%{_libdir}/libnsl.so.%{major}*


%files -n %{develname}
%{_libdir}/libnsl.so
%{_includedir}/*
%{_libdir}/pkgconfig/libnsl.pc


%changelog
* Sat Apr 03 2021 tex - 1.3.0-1pclos2021
- create pkg to replace missing nls in glibc 2.33
